package com.vandyo.sentry.core.dto;

import lombok.Data;

@Data
public class Res<T> {

    /**
     * sessionId
     */
    private String sId;

    /**
     * userId
     */
    private String uId;

    /**
     * 关键数据
     */
    private T data;

    /**
     * 是否成功
     */
    private Boolean success;

    /**
     * 失败类型
     */
    private ErrStatus status;

    /**
     * 请求接口 （和配置项一样）
     */
    private String key;

    /**
     * 是否忽略请求
     */
    private Boolean ignore = false;

}
